petsc-3.4.2 2013-07-02

# PCSPAISetCacheSize

specify cache size in the SPAI preconditioner

### Synopsis

    #include "petscpc.h"
    PetscErrorCode  PCSPAISetCacheSize(PC pc,int cache_size)

### Input Parameters

| pc | - the preconditioner
| n | - cache size {0,1,2,3,4,5} (default 5)

Notes: SPAI uses a hash table to cache messages and avoid redundant communication. If suggest always using 5. This parameter is irrelevant in the serial version.

### See Also

PCSPAI, PCSetType()

Level:intermediate
Location:src/ksp/pc/impls/spai/ispai.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages